
Summary: GStreamer backend for Phonon
Name:    phonon-gstreamer
Version: 4.9.0
Release: %mkrel 4
Group:   Sound
License: LGPLv2+
URL:     http://phonon.kde.org/
Source0: http://download.kde.org/stable/phonon/%{upstream_name}/%{version}/src/phonon-backend-gstreamer-%{version}.tar.xz
Source1: phonon-gstreamer_snapshot.sh
Patch1: phonon-backend-gstreamer-4.8.2-flac_mimetype.patch
#-----------------------------------------------------------------------------
BuildRequires: automoc4
BuildRequires: cmake
BuildRequires: kde4-macros
BuildRequires: mesa-devel
BuildRequires: phonon-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gstreamer-plugins-base1.0-devel
BuildRequires: %{_lib}gstreamer1.0-devel
BuildRequires: %{_lib}qt4-devel
#-----------------------------------------------------------------------------
Provides: phonon-backend = %version-%release
Provides:  phonon-backend-gstreamer = %version-%release
Provides: phonon-xine
#----------------------------------------------------------------------------
Requires: lib64phonon4
Requires: phonon-gstreamer-common
Requires: gstreamer1.0-plugins-base
Requires: gstreamer1.0-plugins-good
Requires: gstreamer1.0-plugins-bad
Requires: gstreamer1.0-plugins-ugly
#-----------------------------------------------------------------------------
%description
%{summary}.

%files
%_kde_libdir/kde4/plugins/phonon_backend/phonon_gstreamer.so
%_kde_datadir/kde4/services/phononbackends/gstreamer.desktop

#-----------------------------------------------------------------------------
%package -n phonon-gstreamer-common
Summary: Common files for GStreamer backends for Phonon
Group:   Sound

%description -n phonon-gstreamer-common
Common files for GStreamer backends for Phonon.

%files -n phonon-gstreamer-common
%_datadir/icons/hicolor/*/apps/phonon-gstreamer.*

#--------------------------------------------------------------------
%package -n phonon4qt5-gstreamer
Summary: GStreamer backend for Phonon Qt5
Group:   Sound
#-----------------------------------------------------------------------------
Provides: phonon4qt5-backend = %version-%release
Provides:  phonon4qt5-backend-gstreamer = %version-%release
Provides: phonon-xine
#----------------------------------------------------------------------------
Requires: lib64phonon4qt5_4
Requires: phonon-gstreamer-common
Requires: gstreamer1.0-plugins-base
Requires: gstreamer1.0-plugins-good
Requires: gstreamer1.0-plugins-bad
Requires: gstreamer1.0-plugins-ugly
#-----------------------------------------------------------------------------

%description -n phonon4qt5-gstreamer
GStreamer backend for Phonon Qt5.

%files -n phonon4qt5-gstreamer
%_qt5_plugindir/phonon4qt5_backend/phonon_gstreamer.so

#--------------------------------------------------------------------
%prep
%setup -q  -n %{name}-%{version}
%apply_patches

%build
mkdir -p Qt4
pushd Qt4
    %cmake_kde4 -DUSE_INSTALL_PLUGIN:BOOL=ON ../..
    %make
popd

mkdir -p Qt5
pushd Qt5
    %cmake_kf5 -DUSE_INSTALL_PLUGIN:BOOL=ON -DPHONON_BUILD_PHONON4QT5:BOOL=ON ../..
    %make
popd

%install
rm -rf %buildroot
%makeinstall_std -C Qt4/build
%makeinstall_std -C Qt5/build


%changelog
* Sun May 12 2019 tex - 4.9.0-4pclos2019
- fix spec file

* Tue Mar 19 2019 tex - 4.9.0-3pclos2019
- rebuild against updates

* Sat Mar 24 2018 bb2 <bb2> - 4.9.0-2pclos2018
- rebuild

* Wed Jan 25 2017 bb <bb> 4.9.0-1pclos2017
- new version

* Fri Dec 02 2016 bb <bb> 4.8.2-9pclos2016
- rebuild with old libvpx

* Thu Dec 01 2016 bb <bb> 4.8.2-8pclos2016
- rebuild with flex 2.6.1


